commit:     13f45cfcb60f84b91e3554d136ec8f1bd9477315
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 18 06:46:09 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep 18 06:53:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13f45cfc

dev-python/GitPython: Bump to 3.1.24

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/GitPython/GitPython-3.1.24.ebuild | 74 ++++++++++++++++++++++++++++
 dev-python/GitPython/Manifest                |  2 +
 2 files changed, 76 insertions(+)

diff --git a/dev-python/GitPython/GitPython-3.1.24.ebuild 
b/dev-python/GitPython/GitPython-3.1.24.ebuild
new file mode 100644
index 00000000000..4cf458b0a12
--- /dev/null
+++ b/dev-python/GitPython/GitPython-3.1.24.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..9} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+TEST_P=GitPython-${PV}
+GITDB_P=gitdb-4.0.7
+SMMAP_P=smmap-4.0.0
+
+DESCRIPTION="Library used to interact with Git repositories"
+HOMEPAGE="https://github.com/gitpython-developers/GitPython 
https://pypi.org/project/GitPython/";
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz
+       test? (
+               https://dev.gentoo.org/~mgorny/dist/${TEST_P}.gitbundle
+               https://dev.gentoo.org/~mgorny/dist/${GITDB_P}.gitbundle
+               https://dev.gentoo.org/~mgorny/dist/${SMMAP_P}.gitbundle
+       )"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+       dev-vcs/git
+       >=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               dev-python/typing-extensions[${PYTHON_USEDEP}]
+       ' python3_7)"
+BDEPEND="
+       test? (
+               >=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+src_test() {
+       git config --global user.email "tra...@ci.com" || die
+       git config --global user.name "Travis Runner" || die
+
+       git clone "${DISTDIR}/${TEST_P}.gitbundle" "${T}"/test || die
+       git clone "${DISTDIR}/${GITDB_P}.gitbundle" \
+               "${T}"/test/git/ext/gitdb || die
+       git clone "${DISTDIR}/${SMMAP_P}.gitbundle" \
+               "${T}"/test/git/ext/gitdb/gitdb/ext/smmap || die
+
+       cd "${T}"/test || die
+       git rev-parse HEAD > .git/refs/remotes/origin/master || die
+       TRAVIS=1 ./init-tests-after-clone.sh || die
+       cat test/fixtures/.gitconfig >> ~/.gitconfig || die
+       sed -i -e '/addopts/d' pyproject.toml || die
+
+       distutils-r1_src_test
+}
+
+python_test() {
+       local deselect=(
+               # performance tests are unreliable by design
+               test/performance
+               # unimpoortant and problematic
+               test/test_installation.py
+               # Internet
+               test/test_repo.py::TestRepo::test_leaking_password_in_clone_logs
+               # TODO
+               test/test_submodule.py::TestSubmodule::test_base_rw
+               test/test_submodule.py::TestSubmodule::test_root_module
+       )
+
+       epytest ${deselect[@]/#/--deselect }
+}

diff --git a/dev-python/GitPython/Manifest b/dev-python/GitPython/Manifest
index 24a41ab35af..73ac9499434 100644
--- a/dev-python/GitPython/Manifest
+++ b/dev-python/GitPython/Manifest
@@ -2,5 +2,7 @@ DIST GitPython-3.1.20.gitbundle 9511740 BLAKE2B 
17d1aeec50a85ff5b8688a984ff41933
 DIST GitPython-3.1.20.tar.gz 188094 BLAKE2B 
3741b6b2e6c77ea8464eb83abfc744e9c646d18368648f805a2aa2f6fdb1875ec61b7e4aa4e224a67bff49686268c86b2cd2b3faf19e9eaa4c9587aacb7fa3f4
 SHA512 
10dc9f154067eb79a98fbf3204e370e814ab00661ffd7c2e1a1dc8ba46475ed48ec8c355820deba609486c865301e13bd54797ab7da8fccf8cff9cc9efebb153
 DIST GitPython-3.1.23.gitbundle 9661389 BLAKE2B 
2b70484d695fa723b436d51e843fe4d03b2754be5b079d9a13b34c129c9559fd728ed3cf4873c534fdb404a802a3d6984f032b797cc490eafa12b89979a97e27
 SHA512 
6f9b29c6ece3d497b262d9cb9c561bdd9be8d60a01df0a81acaf7a9ef71297968a90ccc712f45a898ec1d5a28c84121ccf427b9805dee37412d172efd0407be4
 DIST GitPython-3.1.23.tar.gz 189889 BLAKE2B 
063ecfbb3820cc05f631b6dcaeabaec79e15041d47c5e39fa2364beba1a6db07cf74a6442517136cfe29d14d85efb1b08ac609c1468f9e7d86527037c57d67ac
 SHA512 
06037303c4ce6fc1f9cc0ba7839196ece3721fd45840a10bbc31701d54a46591323b4fe7e2c459a2b3811d0d859170ec9b5b2cb4b52bb50a09897f6b8cb82676
+DIST GitPython-3.1.24.gitbundle 9658020 BLAKE2B 
4ac2c1a238de1d6e5be9f2d65ec486a1a48b38695946889f8ba1c7f0474216e251d6385737d0576be9ece09d3751a305d756b58a21dc20a279609a35553de0f0
 SHA512 
9f05b4c92b85fa80e9b774380758c1a6e0d4ada81c170ddd6c542a31fae1a047844a481e8478afc3472e3a226f8eca1a37a3ef7a6b9c06787fd84543cd073b1e
+DIST GitPython-3.1.24.tar.gz 191249 BLAKE2B 
b60f5186aea33434d77b63997e5e9dc277b49a97934bfe250795af9c0ed92d00c478dd4475a00faa2f5867882f81161dcd21ed46c86883a48b8397266b5318de
 SHA512 
af2aa85574287827e5d2b78f7a19776be57518aa0b8af7a3fb92bef0d97c6a27b3272ed39adf2080b39cd5a9eb114164de7a2a9bbf73cfe1fe2647e0b053b092
 DIST gitdb-4.0.7.gitbundle 1498536 BLAKE2B 
1e0aff67259c04d2932dbdefb0ae07bd9fb51c5dcb99ee8431e78bf428095250ed45f5e12e2484b407bb4257050b0864e67096b3501d4829491cb7714a7b5ddf
 SHA512 
f8b1b3de00f0597d65f528dd30495fd3dd9e1e4d494987899ef2064d23947ede799db391a59688dfa27e4fcdc9379b5352a378b39e6fb2421e6c850f81157bec
 DIST smmap-4.0.0.gitbundle 322820 BLAKE2B 
20ac688cafa9ad036f3e21ac1bb9323ae55e618eb0806634fe4c885d2b12fe802779adcffb0fea3da9707e94109a168738d63abe990d1ce9b141c779aa6798d6
 SHA512 
03296099303eb38ac9ca46733255024355aed2e64a2f9409552ae34af76beb9685a6dd2458df986593fe426e428bc184617abe22c8b92ee01c8c7e1d98de8592

Reply via email to